package intrinsic.mx.core;

public class Container extends intrinsic.mx.core.UIComponent implements intrinsic.mx.managers.IFocusManagerContainer, intrinsic.mx.core.IContainer, intrinsic.mx.core.IRawChildrenContainer, intrinsic.mx.controls.listClasses.IListItemRenderer, intrinsic.mx.core.IDataRenderer {

	/** Accessors */
	public Object data;
	public boolean clipContent;
	public boolean autoLayout;
	public intrinsic.Array childDescriptors;
	public String label;
	public intrinsic.mx.controls.scrollClasses.ScrollBar horizontalScrollBar;
	public double verticalScrollPosition;
	public double horizontalScrollPosition;
	public intrinsic.mx.core.EdgeMetrics viewMetrics;
	public intrinsic.flash.display.Sprite focusPane;
	public intrinsic.mx.controls.scrollClasses.ScrollBar verticalScrollBar;
	public int creationIndex;
	public intrinsic.mx.core.IFlexDisplayObject defaultButton;
	public intrinsic.mx.core.IChildList rawChildren;
	public double maxHorizontalScrollPosition;
	public double verticalLineScrollSize;
	public String horizontalScrollPolicy;
	public double baselinePosition;
	public double horizontalLineScrollSize;
	public double maxVerticalScrollPosition;
	public intrinsic.Class icon;
	public String creationPolicy;
	public double verticalPageScrollSize;
	public int numChildren;
	public intrinsic.mx.core.EdgeMetrics borderMetrics;
	public String verticalScrollPolicy;
	public double contentMouseX;
	public double contentMouseY;
	public intrinsic.mx.core.EdgeMetrics viewMetricsAndPadding;
	public double horizontalPageScrollSize;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Container() {
}


/** Static Methods */
public static native void checkFocus(intrinsic.flash.display.InteractiveObject arg0, intrinsic.flash.display.InteractiveObject arg1);

/** Methods */
public native intrinsic.flash.geom.Point localToContent(intrinsic.flash.geom.Point arg0);
public native void executeBindings();
public native void executeBindings(boolean arg0);
public native intrinsic.flash.geom.Point globalToContent(intrinsic.flash.geom.Point arg0);
public native intrinsic.Array getChildren();
public native void executeChildBindings(boolean arg0);
public native void removeAllChildren();
public native intrinsic.mx.core.IFlexDisplayObject createComponentFromDescriptor(intrinsic.mx.core.ComponentDescriptor arg0, boolean arg1);
public native intrinsic.flash.geom.Point contentToGlobal(intrinsic.flash.geom.Point arg0);
public native boolean contains(intrinsic.flash.display.DisplayObject arg0);
public native void styleChanged(String arg0);
public native void validateSize();
public native void validateSize(boolean arg0);
public native intrinsic.flash.geom.Point contentToLocal(intrinsic.flash.geom.Point arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native void validateDisplayList();
public native void notifyStyleChangeInChildren(String arg0, boolean arg1);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void regenerateStyleCache(boolean arg0);
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void finishPrint(Object arg0, intrinsic.mx.core.IFlexDisplayObject arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native void initialize();
public native Object prepareToPrint(intrinsic.mx.core.IFlexDisplayObject arg0);
public native void createComponentsFromDescriptors();
public native void createComponentsFromDescriptors(boolean arg0);
protected native void scrollChildren();
protected native void keyDownHandler(intrinsic.flash.events.KeyboardEvent event);
}
